package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFUCPolicy;
import com.sa.ibiz.demo.demo.service.dto.WFUCPolicySearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFUCPolicy] 服务对象接口
 */
public interface WFUCPolicyService extends IService<WFUCPolicy>{

		WFUCPolicy enablePolicy(WFUCPolicy et);
	boolean update(WFUCPolicy et);
	boolean getDraft(WFUCPolicy et);
	boolean create(WFUCPolicy et);
		WFUCPolicy get(WFUCPolicy et);
	boolean remove(WFUCPolicy et);
	boolean checkKey(WFUCPolicy et);
		WFUCPolicy disablePolicy(WFUCPolicy et);
    List<WFUCPolicy> listDefault(WFUCPolicySearchFilter filter) ;
	Page<WFUCPolicy> searchDefault(WFUCPolicySearchFilter filter);
	/**	 实体[WFUCPolicy] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }